#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	C++ header library to ease writing Python extension modules
Summary(pl.UTF-8):	Biblioteka nagłówków C++ ułatwiająca pisanie modułów rozszerzeń Pythona
Name:		python3-cppy
Version:	1.3.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cppy/
Source0:	https://files.pythonhosted.org/packages/source/c/cppy/cppy-%{version}.tar.gz
# Source0-md5:	d62122f9d03d1f2cea5d911fe8b17216
URL:		https://pypi.org/project/cppy/
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-installer
BuildRequires:	python3-wheel
BuildRequires:	python3-setuptools >= 1:61.2
BuildRequires:	python3-setuptools_scm >= 3.4.3
BuildRequires:	rpmbuild(macros) >= 2.045
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme >= 1
BuildRequires:	sphinx-pdg-3 >= 4
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small C++ header library which makes it easier to write Python
extension modules. The primary feature is a PyObject smart pointer
which automatically handles reference counting and provides
convenience methods for performing common object operations.

%description -l pl.UTF-8
Mała biblioteka plików nagłówkowych C++ ułatwiająca pisanie modułów
rozszerzeń Pythona. Główną cechą jest inteligentny wskaźnik na
PyObject, automatycznie obsługujący zliczanie odwołań i zapewniający
wygodne metody wykonywania popularnych operacji na obiektach.

%package apidocs
Summary:	API documentation for Python cppy module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona cppy
Group:		Documentation

%description apidocs
API documentation for Python cppy module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona cppy.

%prep
%setup -q -n cppy-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst releasenotes.rst
%{py3_sitescriptdir}/cppy
%{py3_sitescriptdir}/cppy-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cppy.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 98ccb91
- new

